### Method

# AppStream Component to_xml_data

since: 0.12.10

#### Declaration [src]

    gchar*
    as_component_to_xml_data (
      AsComponent* cpt,
      AsContext* context,
      GError** error
    )

#### Description [src]

Serialize this component into an XML string. You normally do not want to use this method directly and instead use the more convenient API of `AsMetadata` to serialize components.

Available since: 0.12.10

#### Parameters

`context`

  Type: `AsContext`

  An `AsContext` instance.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

`TRUE` on success.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.